Upstream information

CVE-2014-8716 at MITRE

Description

The JPEG decoder in ImageMagick before 6.8.9-9 allows local users to cause a denial of service (out-of-bounds memory access and crash).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 905260

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • ImageMagick >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
Patchnames:
sledsp3-ImageMagick
SUSE Linux Enterprise Desktop 12
  • ImageMagick >= 6.8.8.1-8.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-8.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-8.2
Patchnames:
SUSE-SLE-DESKTOP-12-2014-102
SUSE Linux Enterprise Desktop 12 SP1
  • ImageMagick >= 6.8.8.1-8.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-8.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-8.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA ImageMagick
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA ImageMagick
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA ImageMagick
SUSE Linux Enterprise Server 11 SP3
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
Patchnames:
slessp3-ImageMagick
SUSE Linux Enterprise Server 11 SP4
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libMagickCore1-32bit
SUSE Linux Enterprise Server 12
  • ImageMagick >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-8.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-8.2
Patchnames:
SUSE-SLE-SERVER-12-2014-102
SUSE Linux Enterprise Server 12 SP1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-8.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-8.2
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server 12 SP3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
Patchnames:
slessp3-ImageMagick
SUSE Linux Enterprise Server for SAP Applications 12
  • ImageMagick >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-8.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-8.2
Patchnames:
SUSE-SLE-SERVER-12-2014-102
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
Patchnames:
slessp3-ImageMagick
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ImageMagick >= 6.4.3.6-7.30.1
  • ImageMagick-devel >= 6.4.3.6-7.30.1
  • libMagick++-devel >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
  • libMagickWand1-32bit >= 6.4.3.6-7.30.1
  • perl-PerlMagick >= 6.4.3.6-7.30.1
Patchnames:
sdksp3-ImageMagick
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ImageMagick >= 6.4.3.6-7.30.1
  • ImageMagick-devel >= 6.4.3.6-7.30.1
  • libMagick++-devel >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
  • libMagickWand1-32bit >= 6.4.3.6-7.30.1
  • perl-PerlMagick >= 6.4.3.6-7.30.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA ImageMagick
SUSE Linux Enterprise Software Development Kit 12
  • ImageMagick >= 6.8.8.1-8.2
  • ImageMagick-devel >= 6.8.8.1-8.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-8.2
  • libMagick++-devel >= 6.8.8.1-8.2
  • perl-PerlMagick >= 6.8.8.1-8.2
Patchnames:
SUSE-SLE-SDK-12-2014-102
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ImageMagick >= 6.8.8.1-8.2
  • ImageMagick-devel >= 6.8.8.1-8.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-8.2
  • libMagick++-devel >= 6.8.8.1-8.2
  • perl-PerlMagick >= 6.8.8.1-8.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA ImageMagick
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • ImageMagick-devel >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagick++-devel >= 6.8.8.1-33.1
  • perl-PerlMagick >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA ImageMagick
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • ImageMagick-devel >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagick++-devel >= 6.8.8.1-70.1
  • perl-PerlMagick >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12
  • ImageMagick >= 6.8.8.1-8.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-8.2
Patchnames:
SUSE-SLE-WE-12-2014-102
SUSE Linux Enterprise Workstation Extension 12 SP1
  • ImageMagick >= 6.8.8.1-8.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-8.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-8.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA ImageMagick
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ImageMagick >= 6.4.3.6-7.30.1
  • ImageMagick-devel >= 6.4.3.6-7.30.1
  • libMagick++-devel >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
  • perl-PerlMagick >= 6.4.3.6-7.30.1
Builds
SAT Patch Nr: 9976
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ImageMagick >= 6.4.3.6-7.30.1
  • ImageMagick-devel >= 6.4.3.6-7.30.1
  • libMagick++-devel >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
  • libMagickWand1-32bit >= 6.4.3.6-7.30.1
  • perl-PerlMagick >= 6.4.3.6-7.30.1
Builds
SAT Patch Nr: 9976
SUSE Linux Enterprise Desktop 11 SP3
  • ImageMagick >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
Builds
SAT Patch Nr: 9976
SUSE Linux Enterprise Desktop 11 SP3
  • ImageMagick >= 6.4.3.6-7.30.1
  • libMagick++1 >= 6.4.3.6-7.30.1
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
  • libMagickWand1 >= 6.4.3.6-7.30.1
Builds
SAT Patch Nr: 9976
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libMagickCore1 >= 6.4.3.6-7.30.1
Builds
SAT Patch Nr: 9976
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libMagickCore1 >= 6.4.3.6-7.30.1
  • libMagickCore1-32bit >= 6.4.3.6-7.30.1
Builds
SAT Patch Nr: 9976
openSUSE 13.1
  • ImageMagick >= 6.8.6.9-2.28.1
  • ImageMagick-debuginfo >= 6.8.6.9-2.28.1
  • ImageMagick-debugsource >= 6.8.6.9-2.28.1
  • ImageMagick-devel >= 6.8.6.9-2.28.1
  • ImageMagick-devel-32bit >= 6.8.6.9-2.28.1
  • ImageMagick-doc >= 6.8.6.9-2.28.1
  • ImageMagick-extra >= 6.8.6.9-2.28.1
  • ImageMagick-extra-debuginfo >= 6.8.6.9-2.28.1
  • libMagick++-6_Q16-2 >= 6.8.6.9-2.28.1
  • libMagick++-6_Q16-2-32bit >= 6.8.6.9-2.28.1
  • libMagick++-6_Q16-2-debuginfo >= 6.8.6.9-2.28.1
  • libMagick++-6_Q16-2-debuginfo-32bit >= 6.8.6.9-2.28.1
  • libMagick++-devel >= 6.8.6.9-2.28.1
  • libMagick++-devel-32bit >= 6.8.6.9-2.28.1
  • libMagickCore-6_Q16-1 >= 6.8.6.9-2.28.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.6.9-2.28.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.6.9-2.28.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.6.9-2.28.1
  • libMagickWand-6_Q16-1 >= 6.8.6.9-2.28.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.6.9-2.28.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.6.9-2.28.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.6.9-2.28.1
  • perl-PerlMagick >= 6.8.6.9-2.28.1
  • perl-PerlMagick-debuginfo >= 6.8.6.9-2.28.1
Patchnames:
openSUSE-2014-712
openSUSE Leap 42.1
  • ImageMagick >= 6.8.8.1-4.2
  • ImageMagick-devel >= 6.8.8.1-4.2
  • ImageMagick-doc >= 6.8.8.1-4.2
  • ImageMagick-extra >= 6.8.8.1-4.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-4.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-4.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-4.2
  • perl-PerlMagick >= 6.8.8.1-4.2
Patchnames:
openSUSE Leap 42.1 GA ImageMagick
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-20.1
  • ImageMagick-devel >= 6.8.8.1-20.1
  • ImageMagick-doc >= 6.8.8.1-20.1
  • ImageMagick-extra >= 6.8.8.1-20.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-20.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-20.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-20.1
  • perl-PerlMagick >= 6.8.8.1-20.1
Patchnames:
openSUSE Leap 42.2 GA ImageMagick
openSUSE Leap 42.3
  • ImageMagick >= 6.8.8.1-32.7
  • ImageMagick-devel >= 6.8.8.1-32.7
  • ImageMagick-doc >= 6.8.8.1-32.7
  • ImageMagick-extra >= 6.8.8.1-32.7
  • libMagick++-6_Q16-3 >= 6.8.8.1-32.7
  • libMagickCore-6_Q16-1 >= 6.8.8.1-32.7
  • libMagickWand-6_Q16-1 >= 6.8.8.1-32.7
  • perl-PerlMagick >= 6.8.8.1-32.7
Patchnames:
openSUSE Leap 42.3 GA ImageMagick


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 ImageMagick Released
SUSE Linux Enterprise Desktop 11 SP3 ImageMagick Released
SUSE Linux Enterprise Desktop 12 GA ImageMagick Released
SUSE Linux Enterprise SDK 11 SP1 ImageMagick Released
SUSE Linux Enterprise SDK 11 SP3 ImageMagick Released
SUSE Linux Enterprise SDK 12 GA ImageMagick Released
SUSE Linux Enterprise Server 11 SP1 ImageMagick Released
SUSE Linux Enterprise Server 11 SP1 LTSS ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 ImageMagick Released
SUSE Linux Enterprise Server 12 GA ImageMagick Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 ImageMagick Released
SUSE Linux Enterprise Server for VMWare 11 SP3 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 GA ImageMagick Released